= calc_tickadj(8)
:doctype: manpage

== NAME
calc_tickadj - Calculates optimal value for tick given NTP drift file.

== SYNOPSIS
calc_tickadj [-d 'string' | --drift-file='string'] [-t 'number' | --tick='number']

== DESCRIPTION

The _calc_tickadj_ script uses provided NTP drift file to generate
optimal tick value. Generally, +ntpd+ can do better job if the drift value
is the smallest possible number.

The example output of

-----------------------
$ ./calc_tickadj
81.699 (drift)
9999 usec; 9999779 nsec
$ cat /etc/ntp/drift
-23.159
-----------------------

means the following. If tick on that box is 10,000, by making the value
9999 we'll shift the box from its current drift of -23.159 to a drift of
81.699, and in doing so we'll speed the clock up a little every second
instead of slowing the clock down a little.

If 'tick' on that box is 10,000,000 then by setting it to 9999779 the
drift value will be somewhere around 0.0.

_calc_tickadj_ tries to determine the tick value by using the
+ntpfrob+ program from the +NTPSec+ package. If this
doesn't work you can specify current tick manually on command line.

== OPTIONS

-d string, --drift-file=string::
  Ntp drift file to use. The default string for this option is:
'/etc/ntp/drift'.
+
Use the specified drift file for calculations

-t number, --tick=number::
  Tick value of this host. This option takes an integer number as its
  argument.  The default value is obtained by calling ntpfrob(1).
+
The current tick which to adjustment will be calculated

== EXIT STATUS

One of the following exit values will be returned:

0 (EXIT_SUCCESS)::
  Successful program execution.
1 (EXIT_FAILURE)::
  The operation failed or the command syntax was not valid.

== STATUS

calc_tickadj has been updated to work in the NTPSec
distribution, but is not actively maintained.
